Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.basilv.envgen
Class EnvGenTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.basilv.envgen.EnvGenTask

    public class EnvGenTask

extends org.apache.tools.ant.Task

Ant task for EnvGen - Environment Specific File Generator.

Nested Class Summary
`static class` | `EnvGenTask.SharedVariable` Represents a shared variable for the FreeMarker configuration.
`static class` | `EnvGenTask.TransformSpecification` Represents a shared transform for the FreeMarker configuration.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`EnvGenTask()`

Method Summary
`void` | `addConfiguredSharedVariable(EnvGenTask.SharedVariable var)`
`void` | `addConfiguredSource(org.apache.tools.ant.types.FileSet fileSet)`
`void` | `addConfiguredTransform(EnvGenTask.TransformSpecification transformSpec)`
`void` | `execute()`
`void` | `setDestDir(File file)`
`void` | `setDiffToUpdate(boolean diffToUpdate)`
`void` | `setEnvPropertiesFile(File file)`
`void` | `setOverwrite(boolean overwrite)`
`void` | `setStripFileExtension(boolean stripFileExtension)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvGenTask

    public EnvGenTask()

Method Detail

### addConfiguredSource

    public void addConfiguredSource(org.apache.tools.ant.types.FileSet fileSet)

### addConfiguredSharedVariable

    public void addConfiguredSharedVariable(EnvGenTask.SharedVariable var)

### addConfiguredTransform

    public void addConfiguredTransform(EnvGenTask.TransformSpecification transformSpec)

### setDestDir

    public void setDestDir(File file)

### setEnvPropertiesFile

    public void setEnvPropertiesFile(File file)

### setOverwrite

    public void setOverwrite(boolean overwrite)

### setDiffToUpdate

    public void setDiffToUpdate(boolean diffToUpdate)

### setStripFileExtension

    public void setStripFileExtension(boolean stripFileExtension)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

EnvGen available from www.basilv.com/psd/software Copyright © 2007 Basil Vandegriend. All Rights Reserved.